Delete Related Person
curl --request DELETE \
--url https://api.rolla.xyz/api/v1/external/accounts/{accountId}/related-persons/{personId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.rolla.xyz/api/v1/external/accounts/{accountId}/related-persons/{personId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.rolla.xyz/api/v1/external/accounts/{accountId}/related-persons/{personId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Related person deleted successfully",
"data": {
"success": true
}
}{
"success": false,
"message": "<string>"
}{
"success": false,
"message": "<string>"
}Account Onboarding
Delete Related Person
Removes a related person and their uploaded documents from a business account’s application.
DELETE
/
accounts
/
{accountId}
/
related-persons
/
{personId}
Delete Related Person
Removes a related person from a business account’s application, along with any documents uploaded for them.
Example Request
curl -X DELETE "https://api.rolla.xyz/api/v1/external/accounts/eec3cbed-79d8-4370-87a0-b6be9e287337/related-persons/a3d4f21e-f499-488f-8508-43228dfea485" \
-H "X-API-Key: your_api_key_here"
Example Response
{
"success": true,
"message": "Related person deleted successfully",
"data": {
"success": true
}
}
Authorizations
Your Rolla API key
Path Parameters
Identifier of an account owned by the same user as your API key's business
Related person identifier
⌘I